# Default values for crm-chart.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.
global:
  imageRegistry: ""
  ## E.g.
  ## imagePullSecrets:
  ##   - myRegistryKeySecretName
  ##
  imagePullSecrets:
       - name: dca-regcred
  #storageClass: "rook-cephfs"
  storageClass: "csi-rbd-sc"
  namespace: default

# kubectl create secret docker-registry dca-regcred --docker-server=https://index.docker.io/v1/ --docker-username=dcaventures --docker-password=PASSWORDHERE! --docker-email=bogdan@dcaventures.ro

crm:
  image:
    local: dcaventures/crm-connect:1.0.13
    repo: ""
    tag: ""
    pullPolicy: IfNotPresent # Always
  ports:
    containerPort: 80
    hostPort: 80
  autoscaling:
    enabled: false
    minReplicas: 1
    maxReplicas: 2
  # base_url: http://test.local:80/
  db:
    username: root
    password: "1234"
    name: crmcon
  app_env:
    enroll_email: admin@crm.ro
    crm_admin_pass: DCAadmin@!@!
    active_package: 1
    hub_token: fPG6X79gqe07NIZl0StZF0EAYNp3Zmpn
    contact_fn: ""
    contact_ln: ""
    app_enc_key: 19ce261d2e714150e6e6259295ff88f4
    ci_env: production
  docker_hub:
    secret: ""

mysql:
  nameOverride: mysqlchart
  namespaceOverride: default
  enabled: true
  image:
    repository: bitnami/mysql
  service:
    port: 3306
  root:
    password: "1234"
  auth:
    username: crmcon
    password: "1234"
    database: crmcon
    rootPassword: "1234"
  primary:
    startupProbe:
      enabled: false
    livenessProbe:
      enabled: false
    readinessProbe:
      enabled: false
    persistence:
      enabled: true
      existingClaim: mysql-data
      storageClass: "{{ .Values.global.namespace }}"
      size: 10Gi


phpmyadmin:
  enabled: false
  image:
    repository: bitnami/phpmyadmin
  containerPorts.http: 8282
  service.ports.http: 80
  db:
    host: database
    port: 3306
  # extraEnvVars:
  # - name: PHP_ENABLE_XDEBUG
  #   value: 0

replicaCount: 1

service:
  type: ClusterIP
  port: 80

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

podLabels: {}

podAnnotations: {}

ingress:
  enabled: false
  className: ""
  annotations:
    kubernetes.io/ingress.class: nginx
    #cert-manager.io/cluster-issuer: letsencrypt
    #cert-manager.io/acme-challenge-type: http01
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    #external-dns.alpha.kubernetes.io/ttl: "30"
    #external-dns.alpha.kubernetes.io/hostname: crmconnect.ai
    # kubernetes.io/tls-acme: "true"
  hostname: crm.local
  path: /
  pathType: Prefix
  tls:
    secretName: certificate-crmconnect-ai-wildcard
    hosts:
      - chart-example.local